using System;

namespace Tak2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            string[] l;
            for (int i = 0; i < n; i++)
            {
                l = Console.ReadLine().Split();
                a[i] = double.Parse(l[0]);
                p[i] = double.Parse(l[1]);
            }
            /*double temp; 
            int smallest;
            for (int i = 0; i < n - 1; i++)
            {
                smallest = i;
                for (int j = i + 1; j < n; j++)
                {
                    if (p[j] < p[smallest])
                    {
                        smallest = j;
                    }
                }
                temp = p[smallest];
                p[smallest] = p[i];
                p[i] = temp;
                temp = a[smallest];
                a[smallest] = a[i];
                a[i] = temp;
            }  */          
            double max = 0, r=0;           
            for (int i = 0; i < n; i++)
            {                
                for (int j = 0; j < n; j++)
                {
                    if (p[i] <= p[j]) r += a[j];
                }
                r *= p[i]/100;
                if (r > max) max = r;
                r = 0;
            }
            Console.WriteLine(max);








        }
    }
}